import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaSensorItemType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorItemTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaSensorItemType[]> {
    return this.rpcService.call('MetaSensorItemTypeService.readAll');
  }
}
